Skip to main content
`Ctrl`+`K`

# TSPseudoComputeTimeStep

Computes the next timestep for a currently running pseudo-timestepping process.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoComputeTimeStep(TS ts, PetscReal *dt)

Collective

## Input Parameter

- ts - timestep context

## Output Parameter

- dt - newly computed timestep

## Note

The routine to be called here to compute the timestep should be set by calling `TSPseudoSetTimeStep()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoTimeStepDefault()`, `TSPseudoSetTimeStep()`

## Level

developer

## Location

src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages